Skip to main content

Request reservation code seed data

POST https://wallet.paysera.com/rest/v1/generator/code

Initiate SMS or email with confirmation code to initialize generator.

Note: This feature requires special client privileges.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Request Body​

FieldTypeRequiredDescription
linkstringLink to include in SMS/email (must include placeholder for code)
scopesarrayAdditional permissions to relate with sent code

Example​

Request​

POST https://wallet.paysera.com/rest/v1/generator/code
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"link": "my_app://generator/CODE_PLACEHOLDER"
}

Response​

{
"valid_until": 1355314332
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Body REQUIRED
{
"link": "my_app://generator/CODE_PLACEHOLDER"
}

RESPONSE

Code sent successfully
{
"valid_until": 1355314332
}